Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.transforms.params
Class InclusiveNamespaces

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.transforms.params.InclusiveNamespaces

All Implemented Interfaces:
  TransformParam

    public class InclusiveNamespaces

extends ElementProxy
implements TransformParam

This Object serves as Content for the ds:Transforms for exclusive Canonicalization.
It implements the `Element` interface and can be used directly in a DOM tree.

Author:
  Christian Geuer-Pollmann

Field Summary
`static java.lang.String` | `_ATT_EC_PREFIXLIST` Field _ATT_EC_PREFIXLIST
`static java.lang.String` | `_TAG_EC_INCLUSIVENAMESPACES` Field _TAG_EC_INCLUSIVENAMESPACES
`static java.lang.String` | `ExclusiveCanonicalizationNamespace` Field ExclusiveCanonicalizationNamespace

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`InclusiveNamespaces(org.w3c.dom.Document doc, java.util.Set<java.lang.String> prefixes)` Constructor InclusiveNamespaces
`InclusiveNamespaces(org.w3c.dom.Document doc, java.lang.String prefixList)` Constructor XPathContainer
`InclusiveNamespaces(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor InclusiveNamespaces

Method Summary
`java.lang.String` | `getBaseLocalName()` Method getBaseLocalName
`java.lang.String` | `getBaseNamespace()` Method getBaseNamespace
`java.lang.String` | `getInclusiveNamespaces()` Method getInclusiveNamespaces
`static java.util.SortedSet<java.lang.String>` | `prefixStr2Set(java.lang.String inclusiveNamespaces)` Decodes the `inclusiveNamespaces` String and returns all selected namespace prefixes as a Set.

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _TAG_EC_INCLUSIVENAMESPACES

    public static final java.lang.String _TAG_EC_INCLUSIVENAMESPACES

  Field _TAG_EC_INCLUSIVENAMESPACES

  See Also:
    Constant Field Values

### _ATT_EC_PREFIXLIST

    public static final java.lang.String _ATT_EC_PREFIXLIST

  Field _ATT_EC_PREFIXLIST

  See Also:
    Constant Field Values

### ExclusiveCanonicalizationNamespace

    public static final java.lang.String ExclusiveCanonicalizationNamespace

  Field ExclusiveCanonicalizationNamespace

  See Also:
    Constant Field Values

Constructor Detail

### InclusiveNamespaces

    public InclusiveNamespaces(org.w3c.dom.Document doc,
                               java.lang.String prefixList)

  Constructor XPathContainer

  Parameters:
    `doc` -
    `prefixList` -

### InclusiveNamespaces

    public InclusiveNamespaces(org.w3c.dom.Document doc,
                               java.util.Set<java.lang.String> prefixes)

  Constructor InclusiveNamespaces

  Parameters:
    `doc` -
    `prefixes` -

### InclusiveNamespaces

    public InclusiveNamespaces(org.w3c.dom.Element element,
                               java.lang.String BaseURI)
                        throws XMLSecurityException

  Constructor InclusiveNamespaces

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

Method Detail

### getInclusiveNamespaces

    public java.lang.String getInclusiveNamespaces()

  Method getInclusiveNamespaces

  Returns:
    The Inclusive Namespace string

### prefixStr2Set

    public static java.util.SortedSet<java.lang.String> prefixStr2Set(java.lang.String inclusiveNamespaces)

  Decodes the `inclusiveNamespaces` String and returns all selected namespace prefixes as a Set. The `#default` namespace token is represented as an empty namespace prefix (`"xmlns"`).
  The String `inclusiveNamespaces=" xenc ds #default"` is returned as a Set containing the following Strings:
  - `xmlns`
  - `xenc`
  - `ds`

  Parameters:
    `inclusiveNamespaces` -
  Returns:
    A set to string

### getBaseNamespace

    public java.lang.String getBaseNamespace()

  Method getBaseNamespace

  Specified by:
    `getBaseNamespace` in class `ElementProxy`
  Returns:
    the namespace of the Elements of the sub-class.

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Method getBaseLocalName

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD